#
# spec file for package mkelfImage
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mkelfImage
Summary:        Utility to Create ELF Boot Images from Linux Kernel Images
License:        GPL-2.0+
Group:          Development/Tools/Building
Version:        2.5
Release:        219.3
Source0:        %{name}-%{version}.tar.gz
Patch:          %{name}-%{version}.dif
Patch1:         %{name}-optflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf

%description
mkelfImage is a program that makes an ELF boot image for Linux kernel
images. The image should work with any i386 multiboot compliant boot
loader as well as with an ELF boot loader that passes no options. It is
compliant with the LinuxBIOS ELF booting specification or with the
Linux kexec kernel patch.Its key feature is, that nothing relies on
BIOS calls, but they are made when necessary. This is useful for
systems running LinuxBIOS.

%prep
%setup -q
%patch
%patch1 -p1

%build
autoconf
%configure
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/mkelfImage
%doc News
%doc COPYING
%doc AUTHORS
%{_mandir}/man8/mkelfImage.8.gz
%{_datadir}/mkelfImage/

%changelog
* Thu Dec 22 2011 coolo@suse.com
- rename spec file
* Wed Dec 21 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jun 15 2005 meissner@suse.de
- use RPM_OPT_FLAGS
* Wed May 19 2004 ro@suse.de
- make it build on x86 again
* Wed Oct 29 2003 stepan@suse.de
- initial version 2.5
